apiVersion: apps/v1
kind: Deployment
metadata:
  name: app-deployment
  labels:
    name: app-deployment
spec:
  replicas: 3
  selector:
    matchLabels:
      name: app-pod
  template:
    metadata:
      labels:
        name: app-pod
    spec:
      containers:
      - name: app-container
        image: guillaumegoutaudier/cloud-native:app
        env:
         - name: MYSQL_ROOT_PASSWORD
           value: "secret"
        ports:
        - containerPort: 5000
